package jalview.util;

import java.awt.event.MouseEvent;

public class ShortcutKeyMaskExWrapper
{

  private static final Float specversion;

  private static final float modern;

  public static final int SHIFT_DOWN_MASK;

  public static final int ALT_DOWN_MASK;

  private static final ShortcutKeyMaskExWrapperI wrapper;

  static
  {
    specversion = Float
            .parseFloat(System.getProperty("java.specification.version"));
    modern = 11;

    if (specversion >= modern)
    {
      wrapper = new ShortcutKeyMaskExWrapper11();
    }
    else
    {
      wrapper = new ShortcutKeyMaskExWrapper8();
    }
    SHIFT_DOWN_MASK = wrapper.SHIFT_DOWN_MASK;
    ALT_DOWN_MASK = wrapper.ALT_DOWN_MASK;
  }

  public static int getMenuShortcutKeyMaskEx()
  {
    return wrapper.getMenuShortcutKeyMaskEx();
  }

  public static int getModifiersEx(MouseEvent e)
  {
    return wrapper.getModifiersEx(e);
  }

}
